<?php

Route::group([
    'namespace' => 'drp\AdminPanel\Auth\Http\Controllers',
], function () {
    Route::get('auth/login', [
        'as'   => 'auth.login',
        'uses' => 'AuthController@login'
    ]);
    Route::post('auth/login', [
        'as'   => 'auth.login.post',
        'uses' => 'AuthController@loginPost'
    ]);
    Route::get('auth/logout', [
        'as'   => 'auth.logout',
        'uses' => 'AuthController@logout'
    ]);

    Route::get('auth/email/reset', [
        'as' => 'auth.password.email.get',
        'uses' => 'PasswordController@getEmail'
    ]);

    Route::post('auth/email/reset', [
        'as' => 'auth.password.email.post',
        'uses' => 'PasswordController@postEmail'
    ]);

    Route::get('auth/password/reset/{token}', [
        'as' => 'auth.password.reset.get',
        'uses' => 'PasswordController@getReset'
    ]);

    Route::post('auth/password/reset', [
        'as' => 'auth.password.reset.post',
        'uses' => 'PasswordController@postReset'
    ]);
});
