<?php

namespace drp\AdminPanel\Sidebar;

abstract class SidebarItemBase
{
    /**
     * Icon to be displayed next to the sidebar text.
     *
     * @var string
     */
    protected $icon;

    /**
     * Base class to be added for the iconset.
     *
     * @var string
     */
    protected $iconBase;

    /**
     * Text to be displayed on the sidebar item.
     *
     * @var string
     */
    protected $text;

    /**
     * Constructor
     *
     * @param string $icon Icon to be displayed to the left of the text.
     * @param string $text Text to be displayed.
     */
    public function __construct($icon, $text)
    {
        $this->icon = $icon;
        $this->iconBase = explode('-', $icon)[0];
        $this->text = $text;
    }

    /**
     * Gets the HTML for the icon.
     *
     * @return string
     */
    protected function getIconHtml()
    {
        return '<i class="' .
                    $this->iconBase . ' ' .
                    $this->icon .
                '"></i>';
    }
}
